
Redmine - Feature #10248

Specific text instead of addresses to the Redmine internal links

2012-02-15 21:16 - Ivan Cenov

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

If you want to display a specific text instead of the URL, you can use the standard textile syntax:

"Redmine web site":http://www.redmine.org

 It would be great if this was possible with the internal Redmine links. Example:

"main.c":source:trunk/main.c

Related issues:

Related to Redmine - Feature #17060: Custom text formatting for issue links New

Related to Redmine - Feature #4052: Cross-project redmine links with alternat... New 2009-10-19

Has duplicate Redmine - Feature #13595: Add text to Redmine links Closed

History

#1 - 2012-02-16 04:26 - vikas singh

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

#2 - 2012-02-16 08:10 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from Resolved to New

- Assignee deleted (Jean-Philippe Lang)

#3 - 2012-02-16 09:15 - Etienne Massip

- Target version set to Candidate for next major release

I really agree, this is something that I miss and that I often think about when I'm writing down a source reference, for example.

#4 - 2013-02-14 16:31 - Paulo Neves

This is really important for me also as i like to have links in wiki to repository. This is more or less essential as the repository reflects the core of

knowledge created, which of course is internal.

#5 - 2013-04-10 15:16 - Dipan Mehta

+1. Yes, this would be very valuable.

#6 - 2013-10-21 12:35 - Dmitry Salashnik

+1

#7 - 2014-03-12 09:12 - Anonymous

+1

#8 - 2014-07-14 20:43 - Travis Weston
+1 This would be amazing to have.

#9 - 2014-08-13 02:05 - Toshi MARUYAMA

- Related to Feature #17060: Custom text formatting for issue links added

#10 - 2014-08-26 17:52 - Jan S

If implemented it should also work for project description, please.

This ticket seems to be related to #4052.

#11 - 2014-09-24 16:00 - Toshi MARUYAMA

- Related to Feature #4052: Cross-project redmine links with alternate link text for source and export links. added
